`timescale 1ns/1ns
`define clk_period 20

module UART_RAM_TFT_Top_tb;

	reg Clk;
	reg Rst_n;
	reg Rs232_Rx;
	
	wire TFT_HS;	//行同步信号
	wire TFT_VS;	//场同步信号
	wire TFT_BL;	//背光 （可以是1K PWM，现在直接接高就行）
	wire [15:0]TFT_RGB;	//送给TFT显示的数据RGB565
	wire TFT_PCLK;	//显示屏像素驱动时钟 33.3MHZ
	wire Data_En;
	
	
	UART_RAM_TFT_Top UART_RAM_TFT_Top_inst(//隐式例化
		.Clk(Clk),
		.Rst_n(Rst_n),
		.Rs232_Rx(Rs232_Rx),
		
		.TFT_HS(TFT_HS),	//行同步信号
		.TFT_VS(TFT_VS),	//场同步信号
		.TFT_BL(TFT_BL),	//背光 （可以是1K PWM，现在直接接高就行）
		.TFT_RGB(TFT_RGB),	//送给TFT显示的数据RGB565
		.TFT_PCLK(TFT_PCLK),	//显示屏像素驱动时钟 33.3MHZ
		.Data_En(Data_En)
	);
	
	initial Clk = 1;
	always #(`clk_period/2) Clk = ~Clk;

	initial begin
		Rst_n = 0;
		Rs232_Rx = 1;
		#201;
		Rst_n = 1;
		#200;
		
		repeat(1056*525)begin
			//Data_in = Data_in + 1;
			#20;
		end
		#(`clk_period*80);
	
		repeat(525*286)begin
			//Data_in = Data_in + 1;
			#20;
		end
		
		#200;
		
		$stop;
	end 

endmodule 
	
	


	