`timescale 1ns/1ns
`define clk_period 20

module uart2ram_tb;

	reg Clk;
	reg Rst_n;
	reg Rx_done;
	reg [7:0]Rx_data;
	
	wire wr_en;
	wire [15:0]wr_addr;//写入RAM的16位数据共65536个
	wire wr_full;
	wire [15:0]wr_data;
	
	defparam uart2ram_inst.PIX_CNT_MAX = 256;
	
	uart2ram uart2ram_inst(
		.Clk(Clk),
		.Rst_n(Rst_n),
		.Rx_done(Rx_done),
		.Rx_data(Rx_data),
		
		.wr_en(wr_en),
		.wr_addr(wr_addr),
		.wr_data(wr_data),
		.wr_full(wr_full)
	);



	initial Clk = 1;
	always #(`clk_period/2) Clk = ~Clk;

	initial begin
		Rst_n = 0;
		Rx_done = 0;
		Rx_data = 0;
		#201;
		Rst_n = 1;
		#200;
		repeat(256)begin
			Rx_done = 1;
			
			//Data_in = Data_in + 1;
			#20;
			Rx_done = 0;
			#40;
			Rx_data = Rx_data + 1;
		end

		#200;
		Rx_data = 255;
		#200;
		repeat(256)begin
			Rx_done = 1;
			
			//Data_in = Data_in + 1;
			#20;
			Rx_done = 0;
			#40;
			Rx_data = Rx_data - 1;
		end

		#200;
		
		$stop;
	end 

endmodule 